Comment (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-13

org.gcube.portal.databook.shared

## Class Comment

- java.lang.Object
- - org.gcube.portal.databook.shared.Comment

- All Implemented Interfaces:
    Serializable, Comparable<Comment>

      public class Comment
      extends Object
      implements Serializable, Comparable<Comment>

  Version:
    0.1 July 2012
  Author:
    Massimiliano Assante, ISTI-CNR
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Comment()`
    `Comment(String key, String userid, Date time, String feedid, String text, String fullName, String thumbnailURL)`
    `Comment(String key, String userid, Date time, String feedid, String text, String fullName, String thumbnailURL, boolean isEdit, Date editDate)` Constructor for edited comment

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Comment toCompare)`
    `String` | `getFeedid()`
    `String` | `getFullName()`
    `String` | `getKey()`
    `Date` | `getLastEditTime()`
    `String` | `getText()`
    `String` | `getThumbnailURL()`
    `Date` | `getTime()`
    `String` | `getUserid()`
    `boolean` | `isEdit()`
    `void` | `setEdit(boolean isEdit)`
    `void` | `setFeedid(String feedid)`
    `void` | `setFullName(String fullName)`
    `void` | `setKey(String key)`
    `void` | `setLastEditTime(Date lastEditTime)`
    `void` | `setText(String text)`
    `void` | `setThumbnailURL(String thumbnailURL)`
    `void` | `setTime(Date time)`
    `void` | `setUserid(String userid)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Comment

          public Comment()

    - #### Comment

          public Comment(String key,
                         String userid,
                         Date time,
                         String feedid,
                         String text,
                         String fullName,
                         String thumbnailURL)

      Parameters:
        `key` -
        `userid` -
        `timestamp` -
        `feedid` -
        `text` -
        `fullName` -
        `thumbnailURL` -

    - #### Comment

          public Comment(String key,
                         String userid,
                         Date time,
                         String feedid,
                         String text,
                         String fullName,
                         String thumbnailURL,
                         boolean isEdit,
                         Date editDate)

      Constructor for edited comment
      Parameters:
        `key` -
        `userid` -
        `time` -
        `feedid` -
        `text` -
        `fullName` -
        `thumbnailURL` -
        `isEdit` -
        `editDate` -

  - ### Method Detail

    - #### getText

          public String getText()

      Returns:
        the text

    - #### setText

          public void setText(String text)

      Parameters:
        `text` - text to add as string

    - #### getKey

          public String getKey()

      Returns:
        the uuid

    - #### setKey

          public void setKey(String key)

    - #### getUserid

          public String getUserid()

    - #### setUserid

          public void setUserid(String userid)

    - #### getTime

          public Date getTime()

    - #### setTime

          public void setTime(Date time)

    - #### getFeedid

          public String getFeedid()

    - #### setFeedid

          public void setFeedid(String feedid)

    - #### getFullName

          public String getFullName()

    - #### setFullName

          public void setFullName(String fullName)

    - #### getThumbnailURL

          public String getThumbnailURL()

    - #### setThumbnailURL

          public void setThumbnailURL(String thumbnailURL)

    - #### isEdit

          public boolean isEdit()

    - #### setEdit

          public void setEdit(boolean isEdit)

    - #### getLastEditTime

          public Date getLastEditTime()

    - #### setLastEditTime

          public void setLastEditTime(Date lastEditTime)

    - #### compareTo

          public int compareTo(Comment toCompare)

      Specified by:
        `compareTo` in interface `Comparable<Comment>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017. All Rights Reserved.